Défauts de personnalisation d'un plug in

Bonjour,

Depuis le retour du site mlalerte.org, le plug in utilisé sur cette page pour présenter les équipes (voir : Fondateurs ; CA ; Bureau ; Équipe) ne fonctionne plus très bien.

Les paramètres de personnalisation de l’affichage sont défaillants :

  • il m’a été possible de modifier la “primary couleur” appliquée par défaut dans les “settings” généraux (mettre le rouge MLA à la place du bleu par défaut)
  • en revanche, lorsque je modifie les paramètres propres à chaque grille (qu’il s’agisse de la “primary color” ou de la taille de la police pour le nom, la description, etc.), cela n’a aucun effet. D’ailleurs, ces paramètres restaient bien renseignés (la couleur primaire indiquée était la même qu’avant la remise en place du site, tout comme la taille des police) mais ne s’appliquaient pas.

Il apparaît que l’extension a été mise à jour vendredi soir.

Wordpress 5.7 et le plugin team ont été mis à jour le 27 mars 2021. Cela pourrait venir d’une incompatibilité entre le plugin et la version de wordpress, bien qu’il soit écrit sur la page du plugin qu’il a été testé (mais de quelle façon ?) sur le version 5.7.

Une idée me vient: pourrais-tu faire des essais sur plaidoyer.mlalerte.org ? Sauf erreur de ma part il est sur une version antérieure de wordpress et cela te permettrait d’éliminer ou confirmer l’hypothèse que c’est une incompatibilité.

ça veut dire installer le plug in sur plaidoyer.mlalerte.org et recréer les mêmes shortcodes ?

Oui, c’est le principe. Pas tout refaire intégralement ce serait super fastidieux, mais juste assez pour constater si le problème apparaît ou pas.

Ok alors de prime abord (c’est assez chronophage de tout refaire donc je n’ai pas poussé le test extrêmement loin), sur plaidoyer.mlalerte.org :

  • la personnalisation de la couleur ne fonctionne pas (enfin, de même que sur mlalerte.org : elle fonctionne si on la change dans les settings généraux mais pas au cas par cas en fonction des grilles)
  • la personnalisation (au cas par cas) de la taille des textes, quant à elle, fonctionne, alors qu’elle ne fonctionne pas sur mlalerte.org
1 Like

C’est un bon départ et deux éléments qui aident au diagnostique. Est-ce que tu pourrais essayer avec la version précédente du plugin et voir si tu as exactement les même problèmes? Normalement tout doit fonctionner nickel parce que tu as la même version de wordpress qu’avant et la même version du plugin qu’avant. Si ça ne marche pas nickel… alors je serais bien embêté.

Je sais installer un plug in mais pas sa version précédente :confused:

Il n’y a pas moyen d’installer un plugin avec un .zip ? Comme tu l’as fait je crois pour plaidoyer, sur le même principe qu’un thème ?

Si mais je ne sais pas comment installer la version précédente de cette manière. Le .zip c’est la dernière version non ?

En fait, il faut passer par le FTP, virer le dossier de la version actuelle (dans WP-content/plug-ins ou un truc du genre) et mettre le dossier de l’ancien plug-in à la place. Puis retourner sur l’interface admin de WP

Ca doit aussi pouvoir se faire avec l’interface d’administration. Tu devrais avoir qqc du genre:

wp

Bonjour,

Ok j’ai compris mon blocage et comment faire pour rétrograder une version en passant par l’installateur d’extension, et l’ai fait.

A priori, cela a bien résolu le défaut d’affichage !

En espérant que la rétrogradation ne pose pas d’autres problèmes ?

Merci !

Note : c’est tlp-team.2.5.5.zip qui fonctionne
tlp-team-2.6.1.zip génère les défauts d’affichage

Tout dépend de ce qu’apportait la MAJ. Si c’est pour tenir compte d’une MAJ de wordpress, ça peut être gênant. À suivre…

1 Like

Bonjour,
Le défaut d’affichage s’est reproduit.
Le plug in s’est mis à jour (automatiquement ? @glen as-tu fait des MAJ ?) générant le défaut d’affichage lié à la nouvelle version.
J’ai rétabli la situation en téléversant manuellement l’ancienne version, mais il y a un souci si la MAJ du plug in est automatique car je ne peux pas sans cesse checker que l’affichage est bon et rétablir l’ancienne version.
Comment faire pour qu’il ne se mette pas à jour automatiquement ?

arf, mince, c’est très possible. J’ai fait mon boulet, j(ai oublié ce souci. C’est ma faute. Tu peux remettre l’ancienne version ?

Oui je l’ai fait
Je voulais juste savoir si les MAJ étaient automatiques auquel cas il y aurait un souci
Si c’est une erreur manuelle, tout va bien, c’est juste une note mentale à avoir de ne pas MAJ celui-ci
A terme je chercherais peut-être un autre plug in mais j’ai d’autres priorités pour le moment :slight_smile:

Bonjour,

A nouveau, le plug in s’est mis à jour.
@glen as-tu mis à jour les plug ins ?
Si non, c’est qu’il y a bien une MAJ automatique et c’est gênant :confused:

Je suis un boulet :’(
Ma faute, encore une fois, oui. Toutes mes confuses.
Je me mets une note pour éviter de recommencer…
Sinon, je t’achète un martinet.

1 Like

Hahaha
Ok, tant que ce n’est que ça, ça va. Ce qui m’ennuierait plus est qu’il y ait une MAJ automatique !

par contre, je l’ai MAJ sur le site loi, vu que la version 2.6.1 ne semblait pas poser de problème. Dis-moi s’il y a un souci ^^